%define 	name	gnochive
%define 	version	0.5.3
%define 	release	1
%define 	serial	1
%define 	prefix	/usr

Summary: 	Frontend for all common compression programs for X Windows
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications
Url:		http://gnochive.sourceforge.net/
Vendor:		Lucian Langa <cooly@gyl.ro>
Source:		http://gnochive.sourceforge.net/%{name}-%{version}.tar.gz
Distribution:   Freshmeat RPMs
Packager:	Lucian Langa <cooly@gyl.ro>
BuildRoot:	/tmp/%{name}-%{version}
Requires:	gtk+ >= 1.2.0

%description
gnochive is a frontend for all common archivers for GNOME written in Gtk. It
features creating, extracting, deleting files from archives, encrypting 
archives with password, testing of archives, viewing files in archive.
Supported formats rar,tar,gz,bz2,tar.gz,tar.bz2,zip.

%changelog
* Tue Nov 21 2000 Lucian Langa <cooly@gyl.ro>
- Updated spec file
* Sat Nov 18 2000 Lucian Langa <cooly@gyl.ro>
- Changed the name of project.
* Wed Oct 18 2000 Lucian Langa <cooly@gyl.ro>
- Added instalation of gnomerar.desktop and po files
- Updated spec file
* Mon Jun  5 2000 Benoit Dien <bdien@packetengines.com>
- Changed automake/autoconf stuff to compile all stuff
- Fixed spec file

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

for FILE in "$RPM_BUILD_ROOT/bin/*"; do
        file "$FILE" | grep -q not\ stripped && strip $FILE
done


%files
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.LIB README TODO
%{prefix}/bin/gnochive
%{prefix}/share/gnome/apps/Applications/gnochive.desktop
%{prefix}/share/pixmaps/*
#%{prefix}/man/man1/gnochive.1
%{prefix}/share/locale/*/LC_MESSAGES/gnochive.mo

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
